Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
branch: master
Fetching contributors…

Cannot retrieve contributors at this time

121 lines (113 sloc) 5.946 kb
# Gem::Specification for Ambition-0.5.4
# Originally generated by Echoe
Gem::Specification.new do |s|
s.name = %q{ambition}
s.version = "0.5.4"
s.specification_version = 2 if s.respond_to? :specification_version=
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Chris Wanstrath"]
s.date = %q{2008-04-26}
s.default_executable = %q{ambition_adapter}
s.description = %q{Ambition builds yer API calls from plain jane Ruby.}
s.email = %q{chris@ozmm.org}
s.executables = ["ambition_adapter"]
s.extra_rdoc_files = ["bin/ambition_adapter", "lib/ambition/api.rb", "lib/ambition/context.rb", "lib/ambition/core_ext.rb", "lib/ambition/enumerable.rb", "lib/ambition/processors/base.rb", "lib/ambition/processors/ruby.rb", "lib/ambition/processors/select.rb", "lib/ambition/processors/slice.rb", "lib/ambition/processors/sort.rb", "lib/ambition/sexp_translator.rb", "lib/ambition.rb", "LICENSE", "README"]
s.files = ["app_generators/ambition_adapter/ambition_adapter_generator.rb", "app_generators/ambition_adapter/templates/lib/adapter/base.rb.erb", "app_generators/ambition_adapter/templates/lib/adapter/query.rb.erb", "app_generators/ambition_adapter/templates/lib/adapter/select.rb.erb", "app_generators/ambition_adapter/templates/lib/adapter/slice.rb.erb", "app_generators/ambition_adapter/templates/lib/adapter/sort.rb.erb", "app_generators/ambition_adapter/templates/lib/init.rb.erb", "app_generators/ambition_adapter/templates/LICENSE", "app_generators/ambition_adapter/templates/Rakefile", "app_generators/ambition_adapter/templates/README", "app_generators/ambition_adapter/templates/test/helper.rb.erb", "app_generators/ambition_adapter/templates/test/select_test.rb.erb", "app_generators/ambition_adapter/templates/test/slice_test.rb.erb", "app_generators/ambition_adapter/templates/test/sort_test.rb.erb", "app_generators/ambition_adapter/USAGE", "bin/ambition_adapter", "lib/ambition/api.rb", "lib/ambition/context.rb", "lib/ambition/core_ext.rb", "lib/ambition/enumerable.rb", "lib/ambition/processors/base.rb", "lib/ambition/processors/ruby.rb", "lib/ambition/processors/select.rb", "lib/ambition/processors/slice.rb", "lib/ambition/processors/sort.rb", "lib/ambition/sexp_translator.rb", "lib/ambition.rb", "LICENSE", "Manifest", "README", "test/adapters/exemplar/association_test.rb", "test/adapters/exemplar/count_test.rb", "test/adapters/exemplar/detect_test.rb", "test/adapters/exemplar/enumerable_test.rb", "test/adapters/exemplar/helper.rb", "test/adapters/exemplar/index_operator.rb", "test/adapters/exemplar/reject_test.rb", "test/adapters/exemplar/select_test.rb", "test/adapters/exemplar/slice_test.rb", "test/adapters/exemplar/sort_test.rb", "test/debug", "test/helper.rb", "ambition.gemspec"]
s.has_rdoc = true
s.homepage = %q{http://errtheblog.com/}
s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Ambition", "--main", "README"]
s.require_paths = ["lib"]
s.required_ruby_version = Gem::Requirement.new(">= 1.8.6")
s.rubyforge_project = %q{err}
s.rubygems_version = %q{1.0.1}
s.summary = %q{Ambition builds yer API calls from plain jane Ruby.}
s.add_dependency(%q<ParseTree>, ["= 2.1.1"])
s.add_dependency(%q<ruby2ruby>, ["= 1.1.8"])
s.add_dependency(%q<rubigen>, ["= 1.1.1"])
end
# # Original Rakefile source (requires the Echoe gem):
#
# require 'rake'
# require 'rake/testtask'
# require 'rake/rdoctask'
#
# Version = '0.5.4'
#
# module Rake::TaskManager
# def delete_task(task_class, *args, &block)
# task_name, deps = resolve_args(args)
# @tasks.delete(task_class.scope_name(@scope, task_name).to_s)
# end
# end
# class Rake::Task
# def self.delete_task(args, &block) Rake.application.delete_task(self, args, &block) end
# end
# def delete_task(args, &block) Rake::Task.delete_task(args, &block) end
#
# begin
# require 'rubygems'
# gem 'echoe', '>=2.7'
# ENV['RUBY_FLAGS'] = ""
# require 'echoe'
#
# Echoe.new('ambition', Version) do |p|
# p.project = 'err'
# p.summary = "Ambition builds yer API calls from plain jane Ruby."
# p.description = "Ambition builds yer API calls from plain jane Ruby."
# p.url = "http://errtheblog.com/"
# p.author = 'Chris Wanstrath'
# p.email = "chris@ozmm.org"
# p.ruby_version = '>= 1.8.6'
# p.ignore_pattern = /^(\.git|site|adapters).+/
# p.test_pattern = 'test/*_test.rb'
# p.dependencies << 'ParseTree =2.1.1'
# p.dependencies << 'ruby2ruby =1.1.8'
# p.dependencies << 'rubigen =1.1.1'
# end
#
# rescue LoadError
# puts "Not doing any of the Echoe gemmy stuff, because you don't have the specified gem versions"
# end
#
# delete_task :test
# delete_task :install_gem
#
# Rake::TestTask.new('test') do |t|
# t.pattern = 'test/*_test.rb'
# end
#
# Rake::TestTask.new('test:adapters') do |t|
# t.pattern = 'adapters/*/test/*_test.rb'
# end
#
# Dir['adapters/*'].each do |adapter|
# adapter = adapter.split('/').last
# Rake::TestTask.new("test:adapters:#{adapter.sub('ambitious_','')}") do |t|
# t.pattern = "adapters/#{adapter}/test/*_test.rb"
# end
# end
#
# desc 'Default: run unit tests.'
# task :default => :test
#
# desc 'Generate RDoc documentation'
# Rake::RDocTask.new(:rdoc) do |rdoc|
# files = ['README', 'LICENSE', 'lib/**/*.rb']
# rdoc.rdoc_files.add(files)
# rdoc.main = "README"
# rdoc.title = "ambition"
# # rdoc.template = File.exists?(t="/Users/chris/ruby/projects/err/rock/template.rb") ? t : "/var/www/rock/template.rb"
# rdoc.rdoc_dir = 'doc'
# rdoc.options << '--inline-source'
# end
#
# desc 'Generate coverage reports'
# task :rcov do
# `rcov -e gems test/*_test.rb`
# puts 'Generated coverage reports.'
# end
#
# desc 'Install as a gem'
# task :install_gem do
# puts `rake manifest package && gem install pkg/ambition-#{Version}.gem`
# end
Jump to Line
Something went wrong with that request. Please try again.